SpinnyBird.GameOverScreen = function (game) {
};

SpinnyBird.GameOverScreen.prototype = {

    preload: function () {
      this.spinnyReplayText = this.add.retroFont('spinny-font',12,12,Phaser.RetroFont.TEXT_SET10+'!?"\'#$%&()[]*');
      this.spinnyReplayText.text = 'PLAY AGAIN?';

      this.spinnyBackMenuText = this.add.retroFont('spinny-font',12,12,Phaser.RetroFont.TEXT_SET10+'!?"\'#$%&()[]*');
      this.spinnyBackMenuText.text = 'BACK TO MENU';
    },

    create: function () {

      this.gameOverText = this.add.retroFont('spinny-font',12,12,Phaser.RetroFont.TEXT_SET10+'!?"\'#$%&()[]*');
      this.gameOverText.text = 'GAME OVER';
      this.gameOverTitle = this.add.image(240, 50, this.gameOverText);
      this.gameOverTitle.scale.setTo(2,2);
      this.gameOverTitle.anchor.setTo(0.5, 0.5);
      this.gameOverTitle.alpha = 0;
      this.add.tween(this.gameOverTitle).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true, 0);

      this.yourScoreText = this.add.retroFont('spinny-font',12,12,Phaser.RetroFont.TEXT_SET10+'!?"\'#$%&()[]*+-.:;=<>@^`~/0123456789');
      this.yourScoreText.text = 'SCORE: '+SpinnyBird.getScore();
      this.yourScoreLabel = this.add.image(240, 164, this.yourScoreText);
      this.yourScoreLabel.scale.setTo(2,2);
      this.yourScoreLabel.anchor.setTo(0.5,0.5);
      this.yourScoreLabel.alpha = 0;
      this.add.tween(this.yourScoreLabel).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true, 0);

      this.hiScoreText = this.add.retroFont('spinny-font',12,12,Phaser.RetroFont.TEXT_SET10+'!?"\'#$%&()[]*+-.:;=<>@^`~/0123456789');
      if(SpinnyBird.gameMode == 1) {
        this.hiScoreText.text = 'HIGH: '+SpinnyBird.getHighBlitzScore();
      }
      else {
        this.hiScoreText.text = 'HIGH: '+SpinnyBird.getHighScore();
      }
      this.hiScoreLabel = this.add.image(240, 212, this.hiScoreText);
      this.hiScoreLabel.scale.setTo(2,2);
      this.hiScoreLabel.anchor.setTo(0.5,0.5);
      this.hiScoreLabel.alpha = 0;
      this.add.tween(this.hiScoreLabel).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true, 0);

      this.btnReplay = this.add.sprite(240, 338, 'long-button');
      this.btnReplay.anchor.setTo(0.5, 0.5);
      this.btnReplay.alpha = 0;
      this.add.tween(this.btnReplay).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true);

      this.labelReplay = this.add.text(240,340,'Play again?',{font:'16px PixelBerry', fill:'#000'});
      this.labelReplay.anchor.setTo(0.5,0.5);
      this.labelReplay.alpha = 0;
      this.add.tween(this.labelReplay).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true);

      this.btnReplay.inputEnabled = true;
      this.btnReplay.input.useHandCursor = true;
      this.btnReplay.events.onInputDown.add(function() {
        this.btnReplay.frame += 1;
        this.labelReplay.y = 342;
      }, this);
      this.btnReplay.events.onInputUp.add(function() {
        this.btnReplay.frame = 0;
        this.labelReplay.y = 340;
        SpinnyBird.playSound('click');
        if(SpinnyBird.gameMode == 1) {
          this.state.start('PlayBlitzScreen');
        }
        else {
          this.state.start('PlayScreen');
        }
      }, this);

      this.btnBackToMenu = this.add.sprite(240, 422, 'long-button');
      this.btnBackToMenu.anchor.setTo(0.5, 0.5);
      this.btnBackToMenu.alpha = 0;
      this.add.tween(this.btnBackToMenu).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true);

      this.labelBackToMenu = this.add.text(240, 424, 'Back to menu', {font:'16px PixelBerry', fill:'#000'});
      this.labelBackToMenu.anchor.setTo(0.5, 0.5);
      this.labelBackToMenu.alpha = 0;
      this.add.tween(this.labelBackToMenu).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true);

      this.btnBackToMenu.inputEnabled = true;
      this.btnBackToMenu.input.useHandCursor = true;
      this.btnBackToMenu.events.onInputDown.add(function() {
        this.btnBackToMenu.frame += 1;
        this.labelBackToMenu.y = 426;
      }, this);
      this.btnBackToMenu.events.onInputUp.add(function() {
        this.btnBackToMenu.frame = 0;
        this.btnBackToMenu.y = 424;
        SpinnyBird.playSound('click');
        this.state.start('MenuScreen');
      }, this);

      Mousetrap.reset();

      Mousetrap.bind(['delete','backspace'], () => { SpinnyBird.playSound('click'); this.state.start('MenuScreen'); }, 'keyup');

      Mousetrap.bind(['space','enter'], () => { SpinnyBird.playSound('click'); this.state.start('PlayScreen'); }, 'keyup');

      /* implement a high scores functionality? */
/*
      if(/iOS/.test(device.platform) && gameCenterReady) {
        var data = {
          score: parseInt(SpinnyBird.getScore()),
          leaderboardId: 'spinnybirdtopscores'
        };
        gamecenter.submitScore(function() {}, function() {}, data);
      }
      else if (/Android/.test(device.platform)) {
        var data = {
          score: parseInt(SpinnyBird.getScore()),
          leaderboardId: 'CgkIusHZzNoKEAIQAA'
        }
        window.plugins.playGamesServices.isSignedIn(function (result) {
          if(result.isSignedIn) {
            window.plugins.playGamesServices.submitScoreNow(data);
          }
        });
      }
*/

    }

};